你的位置:首页 > ASP.net教程

[ASP.net教程]Visual Studio 2008 Package Load Failure:未能正确加载包“Microsoft.VisualStudio.Xaml”


在安装好Visual Studio 2008后,启动Visual Studio 2008 发现如下提示:

包加载失败

未能正确加载包“Microsoft.VisualStudio.Xaml”( GUID = {E58C2A8B-BCC4-4559-AD59-D62EB6D58A22} )。请与包供应商联系以获得帮助。由于可能会发生环境损坏,建议重新启动应用程序。要禁止将来加载此包吗? 可以使用“devenv /resetskippkgs”重新启用包加载。

按照提示,在visual studio 2008命令提示 中输入 命令 "devenv /resetskippkgs" 重启 Visual Studio 2008,结果还是不能加载Xaml包。

于是乎,在网上查找相关的资料,终于功夫不负有心人,还是被找着了。

原因:

  相应的Visual Studio 2008 需要有相应版本的SP1补丁。

解决方法:

  安装相应版本的SP1补丁即可。(本人亲测)

原文:https://support.microsoft.com/en-us/kb/2292664

Visual Studio 2008 Package Load Failure

SYMPTOMS

You install one version of Visual Studio such as Visual Studio Express (VB, C# or Web) and then patched it to Service Pack 1.  At a subsequent time you install another version such as Visual Studio 2008 Standard or Professional edition but do not re-install the service pack.

When you launch Visual Studio you may get package load failures such as the following:


Package Load Failure

Example:

Package 'Microsoft.VisualStudio.Xaml' has failed to load properly ( GUID = {E58C2A8B-BCC4-4559-AD59-D62EB6D58A22} ). Please contact package vendor for assistance. Application restart is recommended, due to possible environment corruption. Would you like to disable loading this package in the future? You may use 'devenv /resetskippkgs' to re-enable package loading

CAUSE

The different versions of Visual Studio need to be at the same service pack level.
RESOLUTION

To fix the problem, you can run the standalone Visual Studio 2008 Service Pack 1 installer. This should leave both the Express SKU and the Standard SKU with a working WPF designer, service packed to SP1.